CREATE TABLE msc_aggrplanning_bor (
    PLAN_ID                     NUMBER(18, 0) ,
    ORGANIZATION_ID             NUMBER(18, 0) ,
    PRODUCED_ITEM_LEVEL         VARCHAR2(32)  ,
    PRODUCED_CATEGORY_SET_ID    NUMBER(18, 0) ,
    PRODUCED_CATEGORY_ID        NUMBER(18, 0) ,
    CATEGORY_UOM                VARCHAR2(12)  ,
    PRODUCED_ITEM_ID            NUMBER(18, 0) ,
    PRODUCED_QUANTITY           NUMBER            NOT NULL,
    CONSUMED_ITEM_TYPE          VARCHAR2(32)  ,
    CONSUMED_ITEM_ID            NUMBER(18, 0) ,
    USAGE_QUANTITY              NUMBER        ,
    CONSUMED_RESOURCE_ID        NUMBER(18, 0) ,
    RESOURCE_QUANTITY           NUMBER        ,
    EFFECTIVE_DATE              DATE          ,
    DISABLE_DATE                DATE          ,
    NEW_PLAN_ID                 NUMBER        ,
    NEW_PLAN_LIST               VARCHAR2(1024),
    SIMULATION_SET_ID           NUMBER        ,
    APPLIED                     NUMBER(1, 0)  ,
    REFRESH_NUMBER              NUMBER        ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    PLAN_ID                     NUMBER(18, 0) ,
    ORGANIZATION_ID             NUMBER(18, 0) ,
    PRODUCED_ITEM_LEVEL         VARCHAR2(32)  ,
    PRODUCED_CATEGORY_SET_ID    NUMBER(18, 0) ,
    PRODUCED_CATEGORY_ID        NUMBER(18, 0) ,
    CATEGORY_UOM                VARCHAR2(12)  ,
    PRODUCED_ITEM_ID            NUMBER(18, 0) ,
    PRODUCED_QUANTITY           NUMBER            NOT NULL,
    CONSUMED_ITEM_TYPE          VARCHAR2(32)  ,
    CONSUMED_ITEM_ID            NUMBER(18, 0) ,
    USAGE_QUANTITY              NUMBER        ,
    CONSUMED_RESOURCE_ID        NUMBER(18, 0) ,
    RESOURCE_QUANTITY           NUMBER        ,
    EFFECTIVE_DATE              DATE          ,
    DISABLE_DATE                DATE          ,
    NEW_PLAN_ID                 NUMBER        ,
    NEW_PLAN_LIST               VARCHAR2(1024),
    SIMULATION_SET_ID           NUMBER        ,
    APPLIED                     NUMBER(1, 0)  ,
    REFRESH_NUMBER              NUMBER        ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONSTRAINT pk_msc_aggrplanning_bor PRIMARY KEY (PLAN_ID, ORGANIZATION_ID, PRODUCED_CATEGORY_SET_ID, PRODUCED_CATEGORY_ID, PRODUCED_ITEM_ID, CONSUMED_ITEM_ID, CONSUMED_RESOURCE_ID, NEW_PLAN_ID, SIMULATION_SET_ID, PLAN_ID, ORGANIZATION_ID, PRODUCED_CATEGORY_SET_ID, PRODUCED_CATEGORY_ID, PRODUCED_ITEM_ID, CONSUMED_ITEM_ID, CONSUMED_RESOURCE_ID, NEW_PLAN_ID, SIMULATION_SET_ID)
);
